# Url Purge Aggregator

This module implements a queuer for the Purge module, allowing URLs to be queued for purging.

The initial implementation is basic but functional, offering the ability to queue URLs for
purging when nodes are edited or deleted. This is particularly useful in cases where CDNs or
proxy caches do not support cache tag invalidation.

The functionality for nodes can be enabled or disabled, making it possible to use module
for handling other types of entities using the service "url_purge_aggregator.queuer"
— for example, documents associated with media entities or other custom content types.

## How to Install

When the module is installed, the queuer will be automatically activated.

In the configuration form (/admin/config/development/url_purge_aggregator),
you can choose whether to enable or disable node URL management.
