<?php

namespace Drupal\url_purge_aggregator;

use Drupal\Core\Url;

/**
 * Interface for UrlPurgeAggregatorQueuer.
 */
interface UrlPurgeAggregatorQueuerInterface {

  /**
   * Add the URL to the purge queue.
   *
   * @param \Drupal\Core\Url $url
   *   The URL to be purged.
   */
  public function addUrlToPurgeQueue(Url $url);

}
